mav_SMSIntersectBBAll(3)

NAME
mav_SMSIntersectBBAll - Intersect all SMSs with a BB.

LEVEL
Maverik Level 2

SYNTAX
int mav_SMSIntersectBBAll(MAV_window *w, MAV_BB bb, MAV_SMS *objs);

ARGUMENTS
Window. BB for intersection test. The intersected objects (if any).

DESCRIPTION
The function intersects all objects in all SMSs with BB bb. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. Object which intersect the BB are added to SMS objs.